SystemManagerG_common_agent_service_restart
=================================================

Description
-----------

本Roleは、SystemManager Gのエージェントの再起動を行います。利用者は、本Role指定の場所に格納してエージェントサーバに対して実行することで、エージェントの再起動を行うことができます。


Requirements
------------

* 本Roleは構築対象サーバ上で管理者権限による実行が必要です。Windowsの場合は、構築対象サーバ上でAdministrator権限のあるUserで実行するようにPlaybookを作成してください。RHELの場合は、構築対象サーバ上でrootユーザで実行するようにPlaybookを作成してください。

Note
----

本RoleはSystemManager G エージェントサーバに対して実行してください。

Role Variables
--------------

本Roleで使用する変数について説明します。
Mandatory variablesとOptional variablesに、説明している変数については、Playbookにて変数の設定を行ってください。

### Mandatory variables

必須パラメータはありません。

### Optional variables

必要な場合に設定します。

#### VAR_SystemManagerG_agent_install_path

エージェントのインストール先(インストールパス)を指定します。

#####  windows

Windows用フォルダ名を指定します。
未設定の場合は、C:\Program Files (x86)\NEC\UMF\Operationsが設定されます。

#####  linux

Linux用フォルダ名を指定します。
未設定の場合は、/opt/UMF/Operationsが設定されます。

### Unchangeable variable

パラメータはありません。

Dependencies
------------

なし

Usage
-----

1. エージェントのインストールフォルダ名を、対象ホストのOS種別に合わせて設定します。

2. 本Roleの必須変数を設定します。詳しくは"Role Variables"を参照してください。

3. 本Roleの任意変数を必要に応じて設定します。詳しくは"Role Variables"を参照してください。

4. Playbookを実行します。

Example Playbook
----------------

エージェントのインストールと監視設定のインポートを行う場合は、提供したRoleを"role"ディレクトリに配置した上で、以下のようなPlaybookを作成してください。

    - hosts: monitoring_agent
      roles:
        - role: SystemManagerG_common_agent_service_restart

Troubleshooting
---------------

なし

License
-------

本Roleについて、製品本体のライセンスの範囲内でご利用ください。

Copyright
---------

Copyright (c) NEC Corporation 2017
